import { ReactElement, useState } from 'react'

export const useStepForm = (steps: ReactElement[]) => {
  const [currentStepIndex, setCurrentStepIndex] = useState(0)

  const next = () => {
    setCurrentStepIndex((i) => {
      if (i >= steps.length - 1) return i
      return i + 1
    })
    // if(currentStepIndex===steps.length-1) return
  }
  const back = () => {
    setCurrentStepIndex((i) => {
      if (i <= 0) return i
      return i - 1
    })
  }

  const goTo = (index: number) => {
    setCurrentStepIndex(index)
  }

  return {
    currentStepIndex,
    steps,
    step: steps[currentStepIndex],
    goTo,
    next,
    pagination: {
      next: currentStepIndex < steps.length - 1,
      prev: currentStepIndex > 0,
    },
    back,
  }
}
